package me.km.blocks;

import me.km.items.ModItems;
import net.minecraft.block.Block;
import net.minecraft.block.SoundType;
import net.minecraft.block.material.Material;
import net.minecraft.block.BlockState;
import net.minecraft.item.ItemStack;
import net.minecraft.util.math.BlockPos;
import net.minecraft.world.IBlockReader;

public class BlockHayBed extends BlockModBed {
    public BlockHayBed(String name) {
        super(name, Block.Properties.create(Material.ORGANIC).hardnessAndResistance(0.5f).sound(SoundType.PLANT), 2.0);
    }

    @Override
    public ItemStack getItem(IBlockReader w, BlockPos pos, BlockState state) {
        return new ItemStack(ModItems.realHayBed);
    }
}
